Package org.apache.synapse.securevault.definition

# Class CipherInformation

java.lang.Object
org.apache.synapse.securevault.definition.CipherInformation

public class CipherInformation extends Object
Encapsulates the cipher related information

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_ALGORITHM`
  Default cipher algorithm

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CipherInformation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithm()`
  `CipherOperationMode`
  `getCipherOperationMode()`
  `EncodingType`
  `getInType()`
  `String`
  `getMode()`
  `EncodingType`
  `getOutType()`
  `String`
  `getProvider()`
  `String`
  `getType()`
  `void`
  `setAlgorithm(String algorithm)`
  `void`
  `setCipherOperationMode(CipherOperationMode operationMode)`
  `void`
  `setInType(EncodingType inType)`
  `void`
  `setMode(String mode)`
  `void`
  `setOutType(EncodingType outType)`
  `void`
  `setProvider(String provider)`
  `void`
  `setType(String type)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_ALGORITHM

    public static final String DEFAULT_ALGORITHM
    Default cipher algorithm
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CipherInformation

    public CipherInformation()

- ## Method Details

  - ### getAlgorithm

    public String getAlgorithm()

  - ### setAlgorithm

    public void setAlgorithm(String algorithm)

  - ### getCipherOperationMode

    public CipherOperationMode getCipherOperationMode()

  - ### setCipherOperationMode

    public void setCipherOperationMode(CipherOperationMode operationMode)

  - ### getMode

    public String getMode()

  - ### setMode

    public void setMode(String mode)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getInType

    public EncodingType getInType()

  - ### setInType

    public void setInType(EncodingType inType)

  - ### getOutType

    public EncodingType getOutType()

  - ### setOutType

    public void setOutType(EncodingType outType)

  - ### getProvider

    public String getProvider()

  - ### setProvider

    public void setProvider(String provider)